is_valid: detect if a geometry is valid

## Functions

template<typename Geometry >
bool | boost::geometry::is_valid (Geometry const &geometry)
| Checks if a geometry \1.
template<typename Geometry >
bool | boost::geometry::is_valid (Geometry const &geometry, validity_failure_type &failure)
| Checks if a geometry \1.
template<typename Geometry >
bool | boost::geometry::is_valid (Geometry const &geometry, std::string &message)
| Checks if a geometry \1.

## Function Documentation

template<typename Geometry >

bool boost::geometry::is_valid | ( | Geometry const & | geometry | ) |

Checks if a geometry \1.

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept

Parameters:

  geometry | A model of the specified concept

Returns:
  {is valid (in the OGC sense); furthermore, the following geometries are considered valid: multi-geometries with no elements, linear geometries containing spikes, areal geometries with duplicate (consecutive) points}

template<typename Geometry >

bool boost::geometry::is_valid | ( | Geometry const & | geometry,
|  | validity_failure_type & | failure
| ) |  |

Checks if a geometry \1.

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept

Parameters:

  geometry | A model of the specified concept
  failure | An enumeration value indicating that the geometry is valid or not, and if not valid indicating the reason why

Returns:
  {is valid (in the OGC sense); furthermore, the following geometries are considered valid: multi-geometries with no elements, linear geometries containing spikes, areal geometries with duplicate (consecutive) points}

template<typename Geometry >

bool boost::geometry::is_valid | ( | Geometry const & | geometry,
|  | std::string & | message
| ) |  |

Checks if a geometry \1.

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept

Parameters:

  geometry | A model of the specified concept
  message | A string containing a message stating if the geometry is valid or not, and if not valid a reason why

Returns:
  {is valid (in the OGC sense); furthermore, the following geometries are considered valid: multi-geometries with no elements, linear geometries containing spikes, areal geometries with duplicate (consecutive) points}

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK